/**
 * A {@link CallAdapter} implemented by {@link Promise}.
 *
 * @author Vincent Cheung (coolingfall@gmail.com)
 */
export class PromiseCallAdapter {
    constructor() { }
    static create() {
        return new PromiseCallAdapter();
    }
    check(returnType) {
        return returnType === "Promise";
    }
    adapt(call, returnRaw) {
        return new Promise(function (resolve, reject) {
            try {
                call.enqueue(response => resolve(returnRaw ? response : response.body), error => reject(error));
            }
            catch (e) {
                return reject(e);
            }
        });
    }
}
